Citizen.CreateThread(function()
while true do
Wait(500)
local ped = GetPlayerPed(-1)
if IsEntityDead(ped) then
Wait(500)
NetworkResurrectLocalPlayer( -450.0803, -340.2543, 34.5017, true, true, false)
ClearPedTasks(ped)

end
end
end)